<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.OrientationInfoMapper">

    <resultMap type="org.dromara.system.domain.vo.OrientationInfoVo" id="OrientationInfoResult">
        <result property="id"    column="id"    />
        <result property="userId"    column="user_id"    />
        <result property="userName"    column="user_name"    />
        <result property="address"    column="address"    />
        <result property="longitude"    column="longitude"    />
        <result property="latitude"    column="latitude"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectOrientationInfoVo">
        select id,tenant_id, user_id, user_name, address, longitude, latitude, create_by, create_time, update_by, update_time, remark from orientation_info
    </sql>

    <select id="selectVoMapperPage" resultMap="OrientationInfoResult">
        <include refid="selectOrientationInfoVo"/>
        ${ew.getCustomSqlSegment}
    </select>
</mapper>
